Skip to main content
POST
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Browser session ID

Body

application/json
path
integer[][]
required

Ordered list of [x, y] coordinate pairs to move through while dragging. Must contain at least 2 points.

Minimum array length: 2
Required array length: 2 elements
button
enum<string>

Mouse button to drag with

Available options:
left,
middle,
right
delay
integer
default:0

Delay in milliseconds between button down and starting to move along the path.

Required range: x >= 0
steps_per_segment
integer
default:10

Number of relative move steps per segment in the path. Minimum 1.

Required range: x >= 1
step_delay_ms
integer
default:50

Delay in milliseconds between relative steps while dragging (not the initial delay).

Required range: x >= 0
hold_keys
string[]

Modifier keys to hold during the drag

smooth
boolean
default:true

Use human-like Bezier curves between path waypoints instead of linear interpolation. When true, steps_per_segment and step_delay_ms are ignored.

duration_ms
integer

Target total duration in milliseconds for the entire drag movement when smooth=true. Omit for automatic timing based on total path length.

Required range: 50 <= x <= 10000

Response

Drag performed